> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hanko.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Credentials

> Get a list of webauthn credentials



## OpenAPI

````yaml openapi-passkeys get /{tenant_id}/credentials
openapi: 3.1.0
info:
  version: '1.2'
  title: passkey-server
  description: >-
    This API shall represent the private and public endpoints for passkey
    registration, management and authentication
  termsOfService: https://www.hanko.io/terms
  contact:
    email: developers@hanko.io
    url: https://www.hanko.io
    name: Hanko Dev Team
  license:
    url: https://www.gnu.org/licenses/gpl-3.0.de.html
    name: GPLv3
servers:
  - url: https://passkeys.hanko.io
security: []
tags:
  - name: credentials
    description: Represents all objects which are related to WebAuthn credentials
  - name: mfa
    description: Represents all objects which are related to MFA in common
  - name: webauthn
    description: Represents all objects which are related to WebAuthn in common
  - name: audit_logs
    description: Represents all objects which are related to audit logs
paths:
  /{tenant_id}/credentials:
    get:
      tags:
        - credentials
      summary: List Credentials
      description: Get a list of webauthn credentials
      operationId: get-credentials
      parameters:
        - $ref: '#/components/parameters/X-API-KEY'
        - $ref: '#/components/parameters/user_id'
        - $ref: '#/components/parameters/tenant_id'
        - name: page
          in: query
          description: Page to start from
          schema:
            type: number
            default: 1
        - name: per_page
          in: query
          description: How many logs should be displayed per page
          schema:
            type: number
            default: 20
        - name: order
          in: query
          description: The sorting order of the list. Always sorted by `created at`
          schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
      requestBody:
        description: ''
        content: {}
      responses:
        '200':
          $ref: '#/components/responses/get-credentials'
        '400':
          $ref: '#/components/responses/error'
        '401':
          $ref: '#/components/responses/error'
        '500':
          $ref: '#/components/responses/error'
      security: []
      servers:
        - url: https://passkeys.hanko.io
components:
  parameters:
    X-API-KEY:
      name: apiKey
      in: header
      description: Secret API key
      required: true
      schema:
        type: string
        minLength: 32
    user_id:
      name: user_id
      in: query
      description: representational id of the user
      required: false
      schema:
        type: string
    tenant_id:
      name: tenant_id
      in: path
      description: UUID of the tenant
      required: true
      schema:
        type: string
        format: uuid
        minLength: 36
        maxLength: 36
        example:
          - 1f496bcd-49da-4839-a02f-7ce681ccb488
  responses:
    get-credentials:
      description: Example response
      content:
        application/json:
          schema:
            type: array
            uniqueItems: true
            items:
              $ref: '#/components/schemas/webauthn-credential'
    error:
      description: Error Response with detailed information
      content:
        application/json:
          schema:
            type: object
            properties:
              title:
                type: string
                example:
                  - explanatory title
              details:
                type: string
                example:
                  - Information which helps resolving the problem
              status:
                type: integer
  schemas:
    webauthn-credential:
      title: webauthn-credential
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        public_key:
          type: string
        attestation_type:
          type: string
        aaguid:
          type: string
          format: uuid
          minLength: 36
          maxLength: 36
        last_used_at:
          type: string
          format: date-time
        created_at:
          type: string
          format: date-time
        transports:
          type: array
          uniqueItems: true
          items:
            type: string
        backup_eligible:
          type: boolean
          default: false
        backup_state:
          type: boolean
          default: false
        is_mfa:
          type: boolean
          default: false
      required:
        - id
        - public_key
        - attestation_type
        - aaguid
        - created_at
        - transports
        - backup_eligible
        - backup_state
        - is_mfa

````